https://bugs.gentoo.org/919190
https://gitlab.freedesktop.org/xorg/app/xkbutils/-/issues/2
https://gitlab.freedesktop.org/xorg/app/xkbutils/-/merge_requests/4

From 5f875c8a6bc12d47ad655ba820031bb917f321c0 Mon Sep 17 00:00:00 2001
From: Alan Coopersmith <alan.coopersmith@oracle.com>
Date: Tue, 5 Dec 2023 15:01:42 -0800
Subject: [PATCH 3/3] xkbwatch: Fix -Wincompatible-pointer-types warning (Issue
 #2)
MIME-Version: 1.0
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: 8bit

Fixes warning from gcc 13 that is becoming an error in gcc 14

xkbwatch.c:92:34: warning: passing argument 7 of â€˜XtOpenApplicationâ€™
 from incompatible pointer type [-Wincompatible-pointer-types]
   92 |                                  fallback_resources,
      |                                  ^~~~~~~~~~~~~~~~~~
      |                                  |
      |                                  char **
In file included from xkbwatch.c:31:
.../X11/Intrinsic.h:1473:5: note: expected â€˜const char **â€™ but
 argument is of type â€˜char **â€™
 1473 |     String*             /* fallback_resources */,
      |     ^~~~~~~

Closes: #2
Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>
--- a/xkbwatch.c
+++ b/xkbwatch.c
@@ -72,7 +72,7 @@ main(int argc, char *argv[])
     static Arg vArgs[] = { {XtNorientation, (XtArgVal) XtorientVertical} };
     static Arg onArgs[] = { {XtNon, (XtArgVal) True} };
     static Arg offArgs[] = { {XtNon, (XtArgVal) False} };
-    static char *fallback_resources[] = {
+    static String fallback_resources[] = {
         "*Box*background: grey50",
         "*Box*borderWidth: 0",
         "*Box*vSpace: 1",
-- 
GitLab

